# List

Launch stage: GA

`GET /api/2.2/jobs/list`

Retrieves a list of jobs.

API scopes: jobs

## Query parameters

- `limit` (int32, optional)
  The number of jobs to return. This value must be greater than 0 and less or equal to 100. The default value is 20.
  Default: `20`
  Example: `25`
  Constraints: `[ 1 .. 100 ]`
- `expand_tasks` (boolean, optional)
  Whether to include task and cluster details in the response. Note that only the first 100 elements will be shown.
   Use :method:jobs/get to paginate through all tasks and clusters.
  Default: `false`
  Example: `false`
- `name` (string, optional)
  A filter on the list based on the exact (case insensitive) job name.
  Example: `A%20multitask%20job`
- `page_token` (string, optional)
  Use `next_page_token` or `prev_page_token` returned from the previous request to list the next or previous page of jobs respectively.
  Example: `CAEomPSriYcxMPWM_IiIxvEB`

## Returns

- `jobs` (array of object, optional)
  The list of jobs. Only included in the response if there are jobs to list.
  - `job_id` (int64, optional)
    The canonical identifier for this job.
    Example: `11223344`
  - `creator_user_name` (string, optional)
    The creator user name. This field won’t be included in the response if the user has already been deleted.
    Example: `user.name@databricks.com`
  - `run_as_user_name` (string, optional)
    The email of an active workspace user or the application ID of a service principal that the job runs as. This value can be changed by setting the `run_as` field when creating or updating a job.
    
     By default, `run_as_user_name` is based on the current job settings and is set to the creator of the job if job access control is disabled or to the user with the `is_owner` permission if job access control is enabled.
    Example: `user.name@databricks.com`
  - `settings` (object, optional)
    Settings for this job and all of its runs. These settings can be updated using the `resetJob` method.
    - `name` (string, optional)
      An optional name for the job. The maximum length is 4096 bytes in UTF-8 encoding.
      Default: `Untitled`
      Example: `A multitask job`
      Constraints: `<= 4096 characters`
    - `description` (string, optional)
      An optional description for the job. The maximum length is 27700 characters in UTF-8 encoding.
      Example: `This job contain multiple tasks that are required to produce the weekly shark sightings report.`
      Constraints: `<= 27700 characters`
    - `email_notifications` (object, optional)
      An optional set of email addresses that is notified when runs of this job begin or complete as well as when this job is deleted.
      - `on_start` (array of string, optional)
        A list of email addresses to be notified when a run begins. If not specified on job creation, reset, or update, the list is empty, and notifications are not sent.
        Example: `user.name@databricks.com`
      - `on_success` (array of string, optional)
        A list of email addresses to be notified when a run successfully completes. A run is considered to have completed successfully if it ends with a `TERMINATED` `life_cycle_state` and a `SUCCESS` result_state. If not specified on job creation, reset, or update, the list is empty, and notifications are not sent.
        Example: `user.name@databricks.com`
      - `on_failure` (array of string, optional)
        A list of email addresses to be notified when a run unsuccessfully completes. A run is considered to have completed unsuccessfully if it ends with an `INTERNAL_ERROR` `life_cycle_state` or a `FAILED`, or `TIMED_OUT` result_state. If this is not specified on job creation, reset, or update the list is empty, and notifications are not sent.
        Example: `user.name@databricks.com`
      - `on_duration_warning_threshold_exceeded` (array of string, optional)
        A list of email addresses to be notified when the duration of a run exceeds the threshold specified for the `RUN_DURATION_SECONDS` metric in the `health` field. If no rule for the `RUN_DURATION_SECONDS` metric is specified in the `health` field for the job, notifications are not sent.
        Example: `user.name@databricks.com`
      - `on_streaming_backlog_exceeded` (array of string, optional, Public Preview)
        A list of email addresses to notify when any streaming backlog thresholds are exceeded for any stream.
         Streaming backlog thresholds can be set in the `health` field using the following metrics: `STREAMING_BACKLOG_BYTES`, `STREAMING_BACKLOG_RECORDS`, `STREAMING_BACKLOG_SECONDS`, or `STREAMING_BACKLOG_FILES`.
         Alerting is based on the 10-minute average of these metrics. If the issue persists, notifications are resent every 30 minutes.
        Example: `user.name@databricks.com`
      - `no_alert_for_skipped_runs` (boolean, optional)
        If true, do not send email to recipients specified in `on_failure` if the run is skipped.
         This field is `deprecated`. Please use the `notification_settings.no_alert_for_skipped_runs` field.
        Default: `false`
        Example: `false`
    - `webhook_notifications` (object, optional)
      A collection of system notification IDs to notify when runs of this job begin or complete.
      - `on_start` (array of object, optional)
        An optional list of system notification IDs to call when the run starts. A maximum of 3 destinations can be specified for the `on_start` property.
      - `on_success` (array of object, optional)
        An optional list of system notification IDs to call when the run completes successfully. A maximum of 3 destinations can be specified for the `on_success` property.
      - `on_failure` (array of object, optional)
        An optional list of system notification IDs to call when the run fails. A maximum of 3 destinations can be specified for the `on_failure` property.
      - `on_duration_warning_threshold_exceeded` (array of object, optional)
        An optional list of system notification IDs to call when the duration of a run exceeds the threshold specified for the `RUN_DURATION_SECONDS` metric in the `health` field. A maximum of 3 destinations can be specified for the `on_duration_warning_threshold_exceeded` property.
      - `on_streaming_backlog_exceeded` (array of object, optional, Public Preview)
        An optional list of system notification IDs to call when any streaming backlog thresholds are exceeded for any stream.
         Streaming backlog thresholds can be set in the `health` field using the following metrics: `STREAMING_BACKLOG_BYTES`, `STREAMING_BACKLOG_RECORDS`, `STREAMING_BACKLOG_SECONDS`, or `STREAMING_BACKLOG_FILES`.
         Alerting is based on the 10-minute average of these metrics. If the issue persists, notifications are resent every 30 minutes.
         A maximum of 3 destinations can be specified for the `on_streaming_backlog_exceeded` property.
    - `notification_settings` (object, optional)
      Optional notification settings that are used when sending notifications to each of the `email_notifications` and `webhook_notifications` for this job.
      - `no_alert_for_skipped_runs` (boolean, optional)
        If true, do not send notifications to recipients specified in `on_failure` if the run is skipped.
        Default: `false`
        Example: `false`
      - `no_alert_for_canceled_runs` (boolean, optional)
        If true, do not send notifications to recipients specified in `on_failure` if the run is canceled.
        Default: `false`
        Example: `false`
      - `alert_on_last_attempt` (boolean, optional)
        If true, do not send notifications to recipients specified in `on_start` for the retried runs and do not send notifications to recipients specified in `on_failure` until the last retry of the run.
        Default: `false`
        Example: `false`
    - `timeout_seconds` (int32, optional)
      An optional timeout applied to each run of this job. A value of `0` means no timeout.
      Default: `0`
      Example: `86400`
    - `health` (object, optional)
      - `rules` (array of object, optional)
    - `schedule` (object, optional)
      An optional periodic schedule for this job. The default behavior is that the job only runs when triggered by clicking “Run Now” in the Jobs UI or sending an API request to `runNow`.
      - `quartz_cron_expression` (string, optional)
        A Cron expression using Quartz syntax that describes the schedule for a job. See [Cron Trigger](http://www.quartz-scheduler.org/documentation/quartz-2.3.0/tutorials/crontrigger.html) for details. This field is required.
        Example: `20 30 * * * ?`
      - `timezone_id` (string, optional)
        A Java timezone ID. The schedule for a job is resolved with respect to this timezone. See [Java TimeZone](https://docs.oracle.com/javase/7/docs/api/java/util/TimeZone.html) for details. This field is required.
        Example: `Europe/London`
      - `pause_status` (string, optional)
        Indicate whether this schedule is paused or not.
        Possible values: `UNPAUSED`, `PAUSED`
        Default: `UNPAUSED`
    - `trigger` (object, optional)
      A configuration to trigger a run when certain conditions are met. The default behavior is that the job runs only when triggered by clicking “Run Now” in the Jobs UI or sending an API request to `runNow`.
      - `pause_status` (string, optional)
        Whether this trigger is paused or not.
        Possible values: `UNPAUSED`, `PAUSED`
        Default: `UNPAUSED`
      - `file_arrival` (object, required)
        File arrival trigger settings.
      - `periodic` (object, required)
        Periodic trigger settings.
      - `table_update` (object, required)
    - `continuous` (object, optional)
      An optional continuous property for this job. The continuous property will ensure that there is always one run executing. Only one of `schedule` and `continuous` can be used.
      
       Pipelines started by a continuous job also run continuously, regardless of their own pipeline mode setting.
      - `pause_status` (string, optional)
        Indicate whether the continuous execution of the job is paused or not. Defaults to UNPAUSED.
        Possible values: `UNPAUSED`, `PAUSED`
        Default: `UNPAUSED`
      - `task_retry_mode` (string, optional)
        Indicate whether the continuous job is applying task level retries or not. Defaults to NEVER.
        Possible values: `NEVER`, `ON_FAILURE`
    - `max_concurrent_runs` (int32, optional)
      An optional maximum allowed number of concurrent runs of the job.
       Set this value if you want to be able to execute multiple runs of the same job concurrently.
       This is useful for example if you trigger your job on a frequent schedule and want to allow consecutive runs to overlap with each other, or if you want to trigger multiple runs which differ by their input parameters.
       This setting affects only new runs. For example, suppose the job’s concurrency is 4 and there are 4 concurrent active runs. Then setting the concurrency to 3 won’t kill any of the active runs.
       However, from then on, new runs are skipped unless there are fewer than 3 active runs.
       This value cannot exceed 1000. Setting this value to `0` causes all new runs to be skipped.
      Default: `1`
      Example: `10`
    - `tasks` (array of object, optional)
      A list of task specifications to be executed by this job.
       It supports up to 1000 elements in write endpoints (:method:jobs/create, :method:jobs/reset, :method:jobs/update, :method:jobs/submit).
       Read endpoints return only 100 tasks. If more than 100 tasks are available, you can paginate through them using :method:jobs/get. Use the `next_page_token` field at the object root to determine if more results are available.
      - `task_key` (string, optional)
        A unique name for the task. This field is used to refer to this task from other tasks.
         This field is required and must be unique within its parent job.
         On Update or Reset, this field is used to reference the tasks to be updated or reset.
        Example: `Task_Key`
        Constraints: `[ 1 .. 100 ] characters`, `^[\w\-\_]+$`
      - `depends_on` (array of object, optional)
        An optional array of objects specifying the dependency graph of the task. All tasks specified in this field must complete before executing this task. The task will run only if the `run_if` condition is true.
         The key is `task_key`, and the value is the name assigned to the dependent task.
      - `run_if` (string, optional)
        An optional value specifying the condition determining whether the task is run once its dependencies have been completed.
        
         * `ALL_SUCCESS`: All dependencies have executed and succeeded
         * `AT_LEAST_ONE_SUCCESS`: At least one dependency has succeeded
         * `NONE_FAILED`: None of the dependencies have failed and at least one was executed
         * `ALL_DONE`: All dependencies have been completed
         * `AT_LEAST_ONE_FAILED`: At least one dependency failed
         * `ALL_FAILED`: ALl dependencies have failed
        Possible values: `ALL_SUCCESS`, `ALL_DONE`, `NONE_FAILED`, `AT_LEAST_ONE_SUCCESS`, `ALL_FAILED`, `AT_LEAST_ONE_FAILED`
        Default: `ALL_SUCCESS`
        Example: `ALL_SUCCESS`
      - `timeout_seconds` (int32, optional)
        An optional timeout applied to each run of this job task. A value of `0` means no timeout.
        Default: `0`
        Example: `86400`
      - `health` (object, optional)
      - `email_notifications` (object, optional)
        An optional set of email addresses that is notified when runs of this task begin or complete as well as when this task is deleted. The default behavior is to not send any emails.
      - `notification_settings` (object, optional)
        Optional notification settings that are used when sending notifications to each of the `email_notifications` and `webhook_notifications` for this task.
      - `webhook_notifications` (object, optional)
        A collection of system notification IDs to notify when runs of this task begin or complete. The default behavior is to not send any system notifications.
      - `description` (string, optional)
        An optional description for this task.
        Example: `This is the description for this task.`
        Constraints: `<= 1000 characters`
      - `environment_key` (string, required)
        The key that references an environment spec in a job. This field is required for Python script, Python wheel and dbt tasks when using serverless compute.
        Constraints: `[ 1 .. 100 ] characters`, `^[\w\-\_]+$`
      - `disabled` (boolean, optional)
        An optional flag to disable the task. If set to true, the task will not run even if it is part of a job.
        Default: `false`
      - `compute` (object, optional, Beta)
        Task level compute configuration.
      - `notebook_task` (object, required)
        The task runs a notebook when the `notebook_task` field is present.
      - `spark_jar_task` (object, required)
        The task runs a JAR when the `spark_jar_task` field is present.
      - `spark_python_task` (object, required)
        The task runs a Python file when the `spark_python_task` field is present.
      - `spark_submit_task` (object, required)
        (Legacy) The task runs the spark-submit script when the spark_submit_task field is present. Databricks recommends using the spark_jar_task instead; see [Spark Submit task for jobs](https://docs.databricks.com/jobs/spark-submit).
      - `pipeline_task` (object, required)
        The task triggers a pipeline update when the `pipeline_task` field is present. Only pipelines configured to use triggered more are supported.
      - `python_wheel_task` (object, required)
        The task runs a Python wheel when the `python_wheel_task` field is present.
      - `dbt_task` (object, required)
        The task runs one or more dbt commands when the `dbt_task` field is present. The dbt task requires both Databricks SQL and the ability to use a serverless or a pro SQL warehouse.
      - `sql_task` (object, required)
        The task runs a SQL query or file, or it refreshes a SQL alert or a legacy SQL dashboard when the `sql_task` field is present.
      - `run_job_task` (object, required)
        The task triggers another job when the `run_job_task` field is present.
      - `condition_task` (object, required)
        The task evaluates a condition that can be used to control the execution of other tasks when the `condition_task` field is present.
         The condition task does not require a cluster to execute and does not support retries or notifications.
      - `for_each_task` (object, required)
        The task executes a nested task for every input provided when the `for_each_task` field is present.
      - `clean_rooms_notebook_task` (object, required)
        The task runs a [clean rooms](https://docs.databricks.com/clean-rooms/index.html) notebook
         when the `clean_rooms_notebook_task` field is present.
      - `alert_task` (object, required, Public Preview)
        The task evaluates a <Databricks> alert and sends notifications to subscribers
         when the `alert_task` field is present.
      - `power_bi_task` (object, required, Public Preview)
        The task triggers a Power BI semantic model update when the `power_bi_task` field is present.
      - `dashboard_task` (object, required)
        The task refreshes a dashboard and sends a snapshot to subscribers.
      - `ai_runtime_task` (object, required, Public Preview)
        The task runs a multi-gpu compute workload on Databricks AI Runtime. Specify
         the accelerator type and count, the command to run, and where the workload's
         code and MLflow output are stored.
      - `existing_cluster_id` (string, required)
        If existing_cluster_id, the ID of an existing cluster that is used for all runs.
         When running jobs or tasks on an existing cluster, you may need to manually restart
         the cluster if it stops responding. We suggest running jobs and tasks on new clusters for
         greater reliability
        Example: `0923-164208-meows279`
      - `new_cluster` (object, required)
        If new_cluster, a description of a new cluster that is created for each run.
      - `job_cluster_key` (string, required)
        If job_cluster_key, this task is executed reusing the cluster specified in `job.settings.job_clusters`.
        Constraints: `[ 1 .. 100 ] characters`, `^[\w\-\_]+$`
      - `libraries` (array of object, optional)
        An optional list of libraries to be installed on the cluster.
         The default value is an empty list.
      - `max_retries` (int32, optional)
        An optional maximum number of times to retry an unsuccessful run. A run is considered to be unsuccessful if it completes with the `FAILED` result_state or `INTERNAL_ERROR` `life_cycle_state`. The value `-1` means to retry indefinitely and the value `0` means to never retry.
        Default: `0`
        Example: `10`
      - `min_retry_interval_millis` (int32, optional)
        An optional minimal interval in milliseconds between the start of the failed run and the subsequent retry run. The default behavior is that unsuccessful runs are immediately retried.
        Example: `2000`
      - `retry_on_timeout` (boolean, optional)
        An optional policy to specify whether to retry a job when it times out. The default behavior
         is to not retry on timeout.
        Default: `false`
        Example: `true`
      - `disable_auto_optimization` (boolean, optional)
        An option to disable auto optimization in serverless
        Default: `false`
        Example: `true`
    - `job_clusters` (array of object, optional)
      A list of job cluster specifications that can be shared and reused by tasks of this job. Libraries cannot be declared in a shared job cluster. You must declare dependent libraries in task settings.
      Constraints: `<= 100 items`
      - `job_cluster_key` (string, optional)
        A unique name for the job cluster. This field is required and must be unique within the job.
         `JobTaskSettings` may refer to this field to determine which cluster to launch for the task execution.
        Example: `auto_scaling_cluster`
        Constraints: `[ 1 .. 100 ] characters`, `^[\w\-\_]+$`
      - `new_cluster` (object, optional)
        If new_cluster, a description of a cluster that is created for each task.
    - `git_source` (object, optional)
      An optional specification for a remote Git repository containing the source code used by tasks. Version-controlled source code is supported by notebook, dbt, Python script, and SQL File tasks.
      
       If `git_source` is set, these tasks retrieve the file from the remote repository by default. However, this behavior can be overridden by setting `source` to `WORKSPACE` on the task.
      
       Note: dbt and SQL File tasks support only version-controlled sources. If dbt or SQL File tasks are used, `git_source` must be defined on the job.
      - `git_url` (string, optional)
        URL of the repository to be cloned by this job.
        Example: `https://github.com/databricks/databricks-cli`
        Constraints: `<= 300 characters`
      - `git_provider` (string, optional)
        Unique identifier of the service used to host the Git repository. The value is case insensitive.
      - `git_branch` (string, required)
        Name of the branch to be checked out and used by this job. This field cannot be specified in conjunction with git_tag or git_commit.
        Example: `main`
        Constraints: `<= 255 characters`
      - `git_tag` (string, required)
        Name of the tag to be checked out and used by this job. This field cannot be specified in conjunction with git_branch or git_commit.
        Example: `release-1.0.0`
        Constraints: `<= 255 characters`
      - `git_commit` (string, required)
        Commit to be checked out and used by this job. This field cannot be specified in conjunction with git_branch or git_tag.
        Example: `e0056d01`
        Constraints: `<= 64 characters`
      - `git_snapshot` (object, optional)
      - `sparse_checkout` (object, optional)
    - `tags` (object, optional)
      A map of tags associated with the job. These are forwarded to the cluster as cluster tags for jobs clusters, and are subject to the same limitations as cluster tags. A maximum of 25 tags can be added to the job.
    - `format` (string, optional)
      Used to tell what is the format of the job. This field is ignored in Create/Update/Reset calls. When using the Jobs API 2.1 this value is always set to `"MULTI_TASK"`.
      Possible values: `SINGLE_TASK`, `MULTI_TASK`
      Example: `MULTI_TASK`
    - `queue` (object, optional)
      The queue settings of the job.
      - `enabled` (boolean, optional)
        If true, enable queueing for the job. This is a required field.
        Default: `true`
        Example: `true`
    - `parameters` (array of object, optional)
      Job-level parameter definitions
      - `name` (string, optional)
        The name of the defined parameter. May only contain alphanumeric characters, `_`, `-`, and `.`
        Example: `table`
        Constraints: `^[\w\-.]+$`
      - `default` (string, optional)
        Default value of the parameter.
        Example: `users`
    - `run_as` (object, optional)
      The user or service principal that the job runs as, if specified in the request.
       This field indicates the explicit configuration of `run_as` for the job.
       To find the value in all cases, explicit or implicit, use `run_as_user_name`.
      - `user_name` (string, required)
        The email of an active workspace user. Non-admin users can only set this field to their own email.
        Example: `user@databricks.com`
      - `service_principal_name` (string, required)
        Application ID of an active service principal. Setting this field requires the `servicePrincipal/user` role.
        Example: `692bc6d0-ffa3-11ed-be56-0242ac120002`
    - `edit_mode` (string, optional)
      Edit mode of the job.
      
       * `UI_LOCKED`: The job is in a locked UI state and cannot be modified.
       * `EDITABLE`: The job is in an editable state and can be modified.
      Possible values: `UI_LOCKED`, `EDITABLE`
    - `deployment` (object, optional)
      Deployment information for jobs managed by external sources.
      - `kind` (string, optional)
        The kind of deployment that manages the job.
        
         * `BUNDLE`: The job is managed by Databricks Asset Bundle.
         * `SYSTEM_MANAGED`: The job is managed by <Databricks> and is read-only.
        Possible values: `BUNDLE`, `SYSTEM_MANAGED`
      - `metadata_file_path` (string, optional)
        Path of the file that contains deployment metadata.
    - `environments` (array of object, optional)
      A list of task execution environment specifications that can be referenced by serverless tasks of this job.
       For serverless notebook tasks, if the environment_key is not specified, the notebook environment will be used if present. If a jobs environment is specified, it will override the notebook environment.
       For other serverless tasks, the task environment is required to be specified using environment_key in the task settings.
      Constraints: `<= 10 items`
      - `environment_key` (string, optional)
        The key of an environment. It has to be unique within a job.
      - `spec` (object, optional)
    - `budget_policy_id` (string, optional, Public Preview)
      The id of the user specified budget policy to use for this job.
       If not specified, a default budget policy may be applied when creating or modifying the job.
       See `effective_budget_policy_id` for the budget policy used by this workload.
      Example: `550e8400-e29b-41d4-a716-446655440000`
    - `performance_target` (string, optional)
      The performance mode on a serverless job. This field determines the level of compute performance or cost-efficiency for the run.
       The performance target does not apply to tasks that run on Serverless GPU compute.
      
       * `STANDARD`: Enables cost-efficient execution of serverless workloads.
       * `PERFORMANCE_OPTIMIZED`: Prioritizes fast startup and execution times through rapid scaling and optimized cluster performance.
      Possible values: `PERFORMANCE_TARGET_UNSPECIFIED`, `PERFORMANCE_OPTIMIZED`, `STANDARD`
      Default: `PERFORMANCE_OPTIMIZED`
    - `triggers` (array of object, optional, Beta)
      List of triggers attached to this job. A run starts when any active trigger evaluates to true. Cannot be set in
       the same request as the legacy `schedule`, `trigger`, or `continuous` fields. Gated behind the "Multiple Triggers" feature preview.
      - `pause_status` (string, optional, Beta)
        Whether this trigger is paused. Defaults to UNPAUSED when unset; the server always returns an explicit value on read.
        Possible values: `UNPAUSED`, `PAUSED`
      - `periodic` (object, optional, Beta)
        Trigger type: exactly one must be set; mutual exclusivity is enforced in the API handler
         Periodic trigger configuration.
      - `schedule` (object, optional, Beta)
        Cron schedule trigger configuration.
      - `continuous` (object, optional, Beta)
        Continuous trigger configuration.
      - `file_arrival` (object, optional, Beta)
        File arrival trigger configuration.
      - `table_update` (object, optional, Beta)
        Table update trigger configuration.
    - `max_retries` (int32, optional)
      An optional maximum number of times to retry an unsuccessful run. A run is considered to be unsuccessful if it completes with the `FAILED` result_state or `INTERNAL_ERROR` `life_cycle_state`. The value `-1` means to retry indefinitely and the value `0` means to never retry.
      Default: `0`
      Example: `10`
    - `min_retry_interval_millis` (int32, optional)
      An optional minimal interval in milliseconds between the start of the failed run and the subsequent retry run. The default behavior is that unsuccessful runs are immediately retried.
      Example: `2000`
    - `retry_on_timeout` (boolean, optional)
      An optional policy to specify whether to retry a job when it times out. The default behavior
       is to not retry on timeout.
      Default: `false`
      Example: `true`
    - `disable_auto_optimization` (boolean, optional)
      An option to disable auto optimization in serverless
      Default: `false`
      Example: `true`
  - `created_time` (int64, optional)
    The time at which this job was created in epoch milliseconds (milliseconds since 1/1/1970 UTC).
    Example: `1601370337343`
  - `trigger_state` (object, optional)
    State of the trigger associated with the job.
    - `table` (object, required)
      - `last_seen_table_states` (array of object, optional)
      - `using_scalable_monitoring` (boolean, optional)
        Indicates whether the trigger is using scalable monitoring.
    - `file_arrival` (object, required)
      - `using_file_events` (boolean, optional)
        Indicates whether the trigger leverages file events to detect file arrivals.
  - `has_more` (boolean, optional)
    Indicates if the job has more array properties (`tasks`, `job_clusters`) that are not shown. They can be accessed via :method:jobs/get endpoint.
     It is only relevant for API 2.2 :method:jobs/list requests with `expand_tasks=true`.
    Example: `true`
  - `effective_budget_policy_id` (string, optional, Public Preview)
    The id of the budget policy used by this job for cost attribution purposes.
     This may be set through (in order of precedence):
     1. Budget admins through the account or workspace console
     2. Jobs UI in the job details page and Jobs API using `budget_policy_id`
     3. Inferred default based on accessible budget policies of the run_as identity on job creation or modification.
  - `trigger_details` (array of object, optional, Beta)
    Per-trigger runtime information for the multi-trigger surface. Same length
     and order as `JobSettings.triggers`; `trigger_details[i]` corresponds to
     `triggers[i]`. Sub-fields (`state`, `history`) are populated independently
     based on the `GetJob.include_trigger_state` / `include_trigger_history` flags.
    - `state` (object, optional, Beta)
      Current runtime state. Populated when `GetJob.include_trigger_state` is set.
      - `periodic` (object, required, Beta)
      - `schedule` (object, required, Beta)
      - `continuous` (object, required, Beta)
      - `file_arrival` (object, required, Beta)
      - `table_update` (object, required, Beta)
      - `model` (object, required, Beta)
      - `pause_status` (string, optional, Beta)
        Whether this trigger is paused or not. Mirrors the configured pause_status.
        Possible values: `UNPAUSED`, `PAUSED`
    - `history` (object, optional, Beta)
      Recent evaluation history. Populated when `GetJob.include_trigger_history` is set.
      - `last_triggered` (object, optional, Beta)
        The last time the run was triggered due to a file arrival.
      - `last_not_triggered` (object, optional, Beta)
        The last time the trigger was evaluated but did not trigger a run.
      - `last_failed` (object, optional, Beta)
        The last time the trigger failed to evaluate.
- `next_page_token` (string, optional)
  A token that can be used to list the next page of jobs (if applicable).
  Example: `CAEomPuciYcxMKbM9JvMlwU=`
- `prev_page_token` (string, optional)
  A token that can be used to list the previous page of jobs (if applicable).
  Example: `CAAos-uriYcxMN7_rt_v7B4=`

## Response

```json
{
  "jobs": [
    {
      "job_id": 11223344,
      "creator_user_name": "user.name@databricks.com",
      "run_as_user_name": "user.name@databricks.com",
      "settings": {},
      "created_time": 1601370337343,
      "trigger_state": {},
      "has_more": true,
      "effective_budget_policy_id": "string",
      "trigger_details": [
        {}
      ]
    }
  ],
  "next_page_token": "CAEomPuciYcxMKbM9JvMlwU=",
  "prev_page_token": "CAAos-uriYcxMN7_rt_v7B4="
}
```

